Page MenuHomePhabricator

Restoration of deleted items broken on Wikidata
Closed, ResolvedPublic

Description

It has been found that administrators can't restore deleted items - they can only view previously deleted revisions. A likely unintended side-effect of T108138.

Event Timeline

Jasper created this task.Apr 17 2017, 8:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2017, 8:05 PM

'create' on Wikidata in the main namespace is blocked by the 'wikibase-no-direct-editing' error. Therefore 'undelete' now fails with 'undelete-cantcreate' which was added in T108138: Sysops can undelete pages, although the page is protected against it.

Stryn added a subscriber: Stryn.Apr 17 2017, 8:07 PM
Addshore triaged this task as High priority.Apr 17 2017, 8:07 PM
Addshore added a project: Regression.
Addshore added a subscriber: Lydia_Pintscher.

Change 348692 had a related patch set uploaded (by Hoo man):
[mediawiki/core@master] Add the "UndeletePermissionErrors" hook

https://gerrit.wikimedia.org/r/348692

thiemowmde assigned this task to hoo.Apr 18 2017, 9:26 AM
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde added subscribers: thiemowmde, aude, Addshore.

Change 348695 had a related patch set uploaded (by Hoo man):
[mediawiki/extensions/Wikibase@master] Fix undeleting Entities permission errors.

https://gerrit.wikimedia.org/r/348695

Change 348905 had a related patch set uploaded (by Hoo man):
[mediawiki/extensions/Wikibase@master] Rely on ContentHandler::supportsDirectEditing being false

https://gerrit.wikimedia.org/r/348905

Change 348905 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rely on ContentHandler::supportsDirectEditing being false

https://gerrit.wikimedia.org/r/348905

I still can not restore [[:d:Q3856077]]

It likely has not been deployed yet. Thanks for checking.
@hoo when will it be deployed?

hoo added a comment.Apr 24 2017, 11:35 AM

It likely has not been deployed yet. Thanks for checking.
@hoo when will it be deployed?

If we deploy this week, as scheduled, this should be live late Wednesday (UTC).

Change 348692 abandoned by Hoo man:
Add the "UndeletePermissionErrors" hook

Reason:
No longer relevant

https://gerrit.wikimedia.org/r/348692

Change 348695 abandoned by Hoo man:
Fix undeleting Entities permission errors.

Reason:
No longer relevant

https://gerrit.wikimedia.org/r/348695